summaryrefslogtreecommitdiff
path: root/functions.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'functions.zsh')
-rw-r--r--functions.zsh6
1 files changed, 6 insertions, 0 deletions
diff --git a/functions.zsh b/functions.zsh
index b068b3c..3ecc3c9 100644
--- a/functions.zsh
+++ b/functions.zsh
@@ -22,6 +22,12 @@ with-userns() {
}
eunpack() {
+ local pkg=$(equery which "${1}") || exit $?
+
+ if [[ -z ${pkg} ]]; then
+ return 1
+ fi
+
env PORTAGE_USERNAME=${USER} \
PORTAGE_GRPNAME=${USER} \
FEATURES="unprivileged" \